| Home | Libraries | People | FAQ | More

## Function template one_of

boost::algorithm::one_of

## Synopsis

    // In header: <boost/algorithm/cxx11/one_of.hpp>

    template<typename InputIterator, typename Predicate>
      BOOST_CXX14_CONSTEXPR bool
      one_of(InputIterator first, InputIterator last, Predicate p);

## Description

Parameters: |
`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the sequence
Returns: | true if the predicate 'p' is true for exactly one item in [first, last).